Name:           innotop
Version:        1.9.0
Release:        2%{?dist}
Summary:        A MySQL and InnoDB monitor program

Group:          Applications/Databases
License:        GPLv2+ or Artistic
URL:            http://code.google.com/p/innotop
Source0:        http://innotop.googlecode.com/files/innotop-1.9.0.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl(Test::Simple) perl(DBI) perl(ExtUtils::MakeMaker) perl(Term::ReadKey) perl(DBD::mysql)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version)) perl(Term::ReadKey) perl(DBD::mysql)

%description
innotop connects to a MySQL database server and retrieves information from it,
then displays it in a manner similar to the UNIX top program.  innotop uses
the data from SHOW VARIABLES, SHOW GLOBAL STATUS, SHOW FULL PROCESSLIST, and
SHOW ENGINE INNODB STATUS, among other things.

%prep
%setup -q

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %{buildroot}/*

%check
make test 

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING INSTALL 
%{_bindir}/innotop
%{_mandir}/man1/innotop.1*

%changelog
* Fri Oct 05 2012 Luis Bazan <lbazan@fedoraproject.org> 1.9.0-2
- Add BuildRequires

* Fri Sep 21 2012 Luis Bazan <lbazan@fedoraproject.org> 1.9.0-1
- New Upstream version

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jul 10 2012 Luis Bazan <lbazan@fedoraproject.org> - 1.8.1-4
- back to original state man3 and man1

* Tue Jul 10 2012 Luis Bazan <lbazan@fedoraproject.org> - 1.8.1-3
- remove man3

* Tue Jul 10 2012 Luis Bazan <lbazan@fedoraproject.org> - 1.8.1-2
- Change man3 and man1

* Mon Jul 09 2012 Luis Bazán <lbazan@fedoraproject.org> - 1.8.1-1
- New Upstream Version 1.8.1

* Sun Jun 17 2012 Petr Pisar <ppisar@redhat.com> - 1.6.0-10
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jun 21 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.6.0-8
- Perl mass rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jun 01 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.6.0-6
- Mass rebuild with perl-5.12.0

* Fri Dec  4 2009 Stepan Kasal <skasal@redhat.com> - 1.6.0-5
- rebuild against perl 5.10.1

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.6.0-2
Rebuild for new perl

* Tue Jan 29 2008 Michael Fleming <mfleming+rpm@enlartenment.com> 1.6.0-1
- New upstream release.
- Update License

* Sun Jul 29 2007 Michael Fleming <mfleming+rpm@enlartenment.com> 1.4.3-2
- New upstream release.
- Remove README from docs (removed upstream)

* Fri Jun 29 2007 Michael Fleming <mfleming+rpm@enlartenment.com> 1.4.2-4
- First import into Fedora

* Sun Jun 17 2007 Michael Fleming <mfleming+rpm@enlartenment.com> 1.4.2-3.mf
- Fix BuildRequires.
- Explict Requires for DBD::mysql and Term::Readkey as RPM is not smart enough
  to pick them up on it's own.

* Fri May 4 2007 Michael Fleming <mfleming+rpm@enlartenment.com> 1.4.2-1.mf
- New upstream release

* Fri Apr 6 2007 Michael Fleming <mfleming+rpm@enlartenment.com> 1.4.1-1.mf
- New upstream release

* Mon Mar 5 2007 Michael Fleming <mfleming+rpm@enlartenment.com> 1.4.0-1.mf
- New stable upstream release

* Sun Feb 5 2007 Michael Fleming <mfleming+rpm@enlartenment.com> 1.3.5-1.mf
- Initial release
